[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Fwd: Build Error (Job 35992): erlang-R11B-0_1_el4 on fedora-4-epel




On 28.08.2007 17:55, Peter Lemenkov wrote:
> 
> [...]
> 
> EL-4 doesn't ship m4 along other build tools?
> BTW on EL-5 all builds fine.

m4 is not listed in this list:
http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions

Thus you should list it as BR if you need it -- according to the
guidlines also on RHEL5 or F7/rawhide, even if it's tracked in there by
default by those packages in the list or another package with you
BuildRequire.

Why you ask? Well, maybe m4 won't get tracked in by default in Fedora#s
future -- just recently for example gawk vanished from the buildroots.
The discussion was on fedora-devel or fedora-maintainers just a few days
ago.

Cu
knurd


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]